Opened 15 years ago

Closed 14 years ago

#2211 closed task (fixed)

JDK-6.0_u1

Reported by: DJ Lucas Owned by: DJ Lucas
Priority: normal Milestone: 6.3
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description (last modified by DJ Lucas)

Version Increment to JDK-6_u1.

Change History (6)

comment:1 by Luca, 15 years ago

For JDK-6 there's another required dependency: CUPS headers.

comment:2 by DJ Lucas, 14 years ago

Description: modified (diff)
Summary: JDK-6.0JDK-6.0_u1

comment:3 by DJ Lucas, 14 years ago

This is still on hold pending a new release of hsqldb (OpenOffice.org), additionally, there are problems with XCB that might need to be addressed as mentioned in the inline threads below from BLFS-Dev:

On 5/15/2007, Dan Nicholson wrote:

On 5/16/2007, Alexander E. Patrakov wrote:

They are known to break (crash) Java at runtime. Please check this (maybe with binary Java) before actually committing the update.

I recall that one of the xcb maintainers said this was still a problem on the Xorg list recently. Here's the thread:

http://lists.freedesktop.org/archives/xorg/2007-February/021870.html

And here's a patch to turn off the asserting in xcb which is obviously not ideal.

http://cvs.pld-linux.org/cgi-bin/cvsweb/SOURCES/libxcb-no-assert-on-lock.patch?rev=1.1


Interesting. Here's a bug against java and the Xorg bug. The both have a really simple test case.

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6532373 https://bugs.freedesktop.org/show_bug.cgi?id=9336

I don't see any resolution yet.


I can't reproduce the bug here. I have libxcb-1.0, libX11-1.1.1 and the binary jdk-1.5.0.11. The java library that will pull in xcb is libmawt.so.

Nobody has jumped at the invite to reproduce the error at this time.

comment:4 by Randy McMurchy, 14 years ago

Milestone: 6.2.16.3

comment:5 by DJ Lucas, 14 years ago

Owner: changed from blfs-book@… to DJ Lucas
Status: newassigned

comment:6 by DJ Lucas, 14 years ago

Resolution: fixed
Status: assignedclosed

Well it's 6u2 now..but it's done. For follow up, the Xinerama bug was only reproduced with the binary installation, and the suggested fix was put into place. Binary hsqldb runs fine on JDK6 and was/will be used in OOo.

Note: See TracTickets for help on using tickets.